// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UK2Node_GetArrayItem.h"
#include "SCW_UK2Node.h"

class UK2Node_GetArrayItem;

namespace Sourcify
{
	class SCW_UK2Node_GetArrayItem : public SCW_UK2Node, public virtual ISCW_UK2Node_GetArrayItem
	{
	public:
		SCW_UK2Node_GetArrayItem(UK2Node_GetArrayItem* InK2Node_GetArrayItem);

		UK2Node_GetArrayItem* ToUK2Node_GetArrayItem() const;

		ISCW_UK2Node_GetArrayItemPtr ToUK2Node_GetArrayItemPtr() override;
		ISCW_UK2Node_GetArrayItemConstPtr ToUK2Node_GetArrayItemPtr() const override;

	protected:
		UK2Node_GetArrayItem* K2Node_GetArrayItem;
	};
} // namespace Sourcify